Search the Community
Showing results for tags 'center'.
-
Working on a utility to rotate polar type array half the angle between items to create a stagger effect of multiple concentric arrays. As far as my research turned up, there is no lisp property for the center point of the array. An array seems to be an anonymous block who's insertion point is always WCS (0 0 0), so if I apply a rotation property it does it from that point and not center point of array. Solution 1: Select the array, highlight grips with (sssetfirst), (getpoint) the center grip the rotate from that point... [not crazy about this option] Solution 2: Select the array, run the list command and extract the center point property from the log file [works marginally as the precision is only 8 decimal places so it ends up displacing it slightly] Any ideas?
-
Oi pessoal, Qual o fator que faz escolher entre usar "DASHDOT ou CENTER" numa linha de simetria? Do mesmo jeito para linhas fantasmas "DIVIDE2 ou PHANTON"? Obrigado
-
Hey guys, It has been years since I have touched AutoCAD and I am creating a small drawing for work, i have a question about view ports in layouts looking into models. So basically, if i have a drawing of a car, id want a viewport in my paperspace layout to focus on a wheel. how can i get a paperspace viewport to center on the wheel from my model space? I have tried changing the geometry options in the viewports properties, but that focuses on its position in the paperspace layout?
-
Block Insert, Center and Auto Fill Attribute values, by clicking two points input
jfklimek posted a topic in AutoLISP, Visual LISP & DCL
I'm having trouble finishing this LISP. Can anyone help me out. The command line is telling me the command I'm entering 'roomtag' is unknown. It's probably something little but I can't seem to figure it out. Please help out if you can. Thanks! ;;;Place Room Tag in Middle of Room and Auto Fill 'x' and 'y' Attribute Values (defun c:RoomTag (/ pt1 pt3 rx ry pt5) (initget 1) (setq pt1 (getpoint "\nFirst Corner: ")) (initget 1) (setq pt3 (getcorner "\nOpposite Corner: ")) (setq rx (abs (- (car pt3)(car pt1)))) (setq ry (abs (- (cadr pt3)(cadr pt1)))) (setq pt5 ((+ rx pt1) (- ry pt3))) (command "_INSERT" "Tag_Room-Dim" pt5 "" "" pause pause rx ry "") (princ)- 11 replies
-
- block insert
- attribute field
-
(and 1 more)
Tagged with:
-
Hi, I'm having some problems giving certain parts in my assembly a unique file name. Im reorganizing all of my projects in a - content center - designs - libraries way, where my projects are under designs and commonly used parts under libraries. Now i have something like a pump. I can derrive this assembly into a solid and put it in the content center, or keep the assembly and put it in te libaries folder. since this is a part i use in multiple projects. Now my problem is that this pump has a different name in every project, and a library part doesn't allow me to change this name. Say standard name is "centrifugal pump" while the project name in project 1 would be P101, while in project 2 it has to be named P501 and so on in order to match with the flowcharts. Is my only option here creating a solid out of these components and putting it all in my content center ( leaving my libraries folder totally empty ), adding it as a custom part afterwards ( so i can rename it ). I rather have it in my library folder, since this will keep my design folder organized without hundreds of duplicates of this pump, using different names. Besides i rather have it as an assembly so i can assign the connectors of the pump to different sub assemblies of piping. I hope it's all clear.